# HTMLDOMImplementation : Object
Return to: HTML DOM Level 2 index

DOM implementation methods that are independent of a Document.

## Platform Support

IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | ---
6.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

## Constructors

Constructor | Action | IE | Mozilla | Netscape | Opera | Safari
--- | --- | --- | --- | --- | --- | ---
HTMLDOMImplementation Constructor() : HTMLDOMImplementation DOM implementation methods that are independent of a Document. | Show Details | 6.0+ | 1.0+ | 6.0+ | 7.0+ | 1.0+

### HTMLDOMImplementation() : HTMLDOMImplementation

DOM implementation methods that are independent of a Document.

Returns

HTMLDOMImplementation |

Visibility
  internal

## Availability

HTML DOM Level 2|W3C

text_javascript aptana_docs